org.apache.activemq.artemis.uri.schema.connector

## Class TCPTransportConfigurationSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<List<TransportConfiguration>,String>
  - - org.apache.activemq.artemis.uri.schema.connector.AbstractTransportConfigurationSchema
    - - org.apache.activemq.artemis.uri.schema.connector.TCPTransportConfigurationSchema

- Direct Known Subclasses:
    TCPAcceptorTransportConfigurationSchema

      public class TCPTransportConfigurationSchema
      extends AbstractTransportConfigurationSchema

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TCPTransportConfigurationSchema(Set<String> allowableProperties)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getFactoryName(URI uri)`
    `String` | `getSchemaName()`
    `static List<TransportConfiguration>` | `getTransportConfigurations(URI uri, Map<String,String> query, Set<String> allowableProperties, String name, String factoryName)`
    `protected List<TransportConfiguration>` | `internalNewObject(URI uri, Map<String,String> query, String name)`
    `protected URI` | `internalNewURI(List<TransportConfiguration> bean)`

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `getDefaultURI, getFactory, getHost, getPort, newObject, newObject, newURI, parseQuery, populateObject, printQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TCPTransportConfigurationSchema

          public TCPTransportConfigurationSchema(Set<String> allowableProperties)

  - ### Method Detail

    - #### getSchemaName

          public String getSchemaName()

      Specified by:
        `getSchemaName` in class `org.apache.activemq.artemis.utils.uri.URISchema<List<TransportConfiguration>,String>`

    - #### internalNewObject

          protected List<TransportConfiguration> internalNewObject(URI uri,
                                                                   Map<String,String> query,
                                                                   String name)
                                                            throws Exception

      Specified by:
        `internalNewObject` in class `org.apache.activemq.artemis.utils.uri.URISchema<List<TransportConfiguration>,String>`
      Throws:
        `Exception`

    - #### internalNewURI

          protected URI internalNewURI(List<TransportConfiguration> bean)
                                throws Exception

      Overrides:
        `internalNewURI` in class `org.apache.activemq.artemis.utils.uri.URISchema<List<TransportConfiguration>,String>`
      Throws:
        `Exception`

    - #### getTransportConfigurations

          public static List<TransportConfiguration> getTransportConfigurations(URI uri,
                                                                                Map<String,String> query,
                                                                                Set<String> allowableProperties,
                                                                                String name,
                                                                                String factoryName)
                                                                         throws URISyntaxException

      Throws:
        `URISyntaxException`

    - #### getFactoryName

          protected String getFactoryName(URI uri)

Copyright © 2018 The Apache Software Foundation. All rights reserved.